Package org.eclipse.remote.ui.widgets

# Class RemoteConnectionWidget.WidgetListener

java.lang.Object
org.eclipse.remote.ui.widgets.RemoteConnectionWidget.WidgetListener

All Implemented Interfaces:
  `EventListener`, `org.eclipse.swt.events.SelectionListener`, `org.eclipse.swt.internal.SWTEventListener`

Enclosing class:
  RemoteConnectionWidget

protected class RemoteConnectionWidget.WidgetListener extends Object implements org.eclipse.swt.events.SelectionListener
Listener for widget selected events. Allows the events to be enabled/disabled.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`WidgetListener()`

## Method Summary

Modifier and Type
Method
Description
`void`
`disable()`
Disable listener, received events shall be ignored.
`protected void`
`doWidgetDefaultSelected(org.eclipse.swt.events.SelectionEvent e)`
`void`
`enable()`
Enable the listener to handle events.
`boolean`
`isEnabled()`
Test if the listener is enabled.
`void`
`setEnabled(boolean enabled)`
Set listener enabled state
`void`
`widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent e)`
`void`
`widgetSelected(org.eclipse.swt.events.SelectionEvent e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WidgetListener

protected WidgetListener()

## Method Details

### disable

public void disable()
Disable listener, received events shall be ignored.

### doWidgetDefaultSelected

protected void doWidgetDefaultSelected(org.eclipse.swt.events.SelectionEvent e)

### enable

public void enable()
Enable the listener to handle events.

### isEnabled

public boolean isEnabled()
Test if the listener is enabled.

### setEnabled

public void setEnabled(boolean enabled)
Set listener enabled state

Parameters:
  `enabled` -

### widgetDefaultSelected

public void widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent e)

Specified by:
  `widgetDefaultSelected` in interface `org.eclipse.swt.events.SelectionListener`

### widgetSelected

public void widgetSelected(org.eclipse.swt.events.SelectionEvent e)

Specified by:
  `widgetSelected` in interface `org.eclipse.swt.events.SelectionListener`